#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QDateTime>

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

private slots:
    void AlarmSet(bool state);
    void OneSec(void);
    void Browse(void);
    void Help(void);
    void About(void);

protected:
    void closeEvent(QCloseEvent *event); // this lets me "trap" any window close event

private:
    Ui::MainWindow *ui;
    QDate alarmDate;
    void readSettings(void);
};

#endif // MAINWINDOW_H
